Subject: bug#1852: 23.0.60; describe-face: Wrong type argument: symbolp, (:slant oblique)

From: Chong Yidong <[email-masked]>
Date: Sun, 11 Jan 2009 21:38:45 -0500

Stephen Berman <[email-masked]> writes:

> Your fix prevents the error from being raised at step 4 above; however,
> the behavior is nevertheless still not what I would naively expect:
> namely, now it switches to a *Help* buffer describing variable-pitch
> face, containing the line
>          Slant: unspecified
> i.e., this is not the face that I clicked to get a description of (as
> the tooltip also promises).  Wouldn't it be better (if readily
> implementable) to exclude `(:slant oblique)' from the the describe-face
> link?

The "face" you are trying to customize is actually two faces---the
`variable-pitch' face plus an anonymous face consisting of the
property-value pair (:slant oblique).  The best that Custom can do is to
allow you to customize the former.  The latter can't be customized
because it lacks a face name (how would we save the customized face?).